#include <stdio.h>
#include <math.h>

int main(){
int i,tren, sled, cifra=0;
unsigned x;
scanf("%u", &x);
for(i=1;x>0;i++){
  tren=x%10;
  sled=(x%100)/10;
  x=x/10;
  
  if(tren==sled)
    x=x/10; 
  cifra=cifra+tren*(int)pow(10,i-1);
  
}
printf("%d", cifra);
return 0;
}